# mongoc_stream_file_get_fd()

## Synopsis

    int
    mongoc_stream_file_get_fd (mongoc_stream_file_t *stream);

## Parameters

- `stream`: A mongoc_stream_file_t.

This function shall return the underlying file-descriptor of a mongoc_stream_file_t.

Warning

Performing operations on the underlying file-descriptor may not be safe if used in conjunction with buffering. Avoid reading or writing from this file-descriptor.

## Returns

A file-descriptor that should not be modified by the caller.